# Visualization Library

A lightweight C++ OpenGL middleware for 2D/3D graphics

[Home] [Tutorials] [All Classes] [Grouped Classes]

Public Member Functions

# vl::VLXList Class Reference

A simple sequence of VLXValue objects, can also have a tag. More...

`#include <VLXValue.hpp>`

Inheritance diagram for vl::VLXList:

List of all members.

## Public Member Functions

| VLXList (const char *tag=NULL)
VLXList & | operator<< (const VLXValue &val)
virtual void | acceptVisitor (VLXVisitor *v)
std::vector< VLXValue > & | value ()
const std::vector< VLXValue > & | value () const

## Detailed Description

A simple sequence of VLXValue objects, can also have a tag.

Definition at line 633 of file VLXValue.hpp.

## Constructor & Destructor Documentation

vl::VLXList::VLXList | ( | const char * | tag = `NULL` ) | `[inline]`

Definition at line 638 of file VLXValue.hpp.

## Member Function Documentation

VLXList& vl::VLXList::operator<< | ( | const VLXValue & | val ) | `[inline]`

Definition at line 643 of file VLXValue.hpp.

References value().

virtual void vl::VLXList::acceptVisitor | ( | VLXVisitor * | v ) | `[inline, virtual]`

Implements vl::VLXTaggedValue.

Definition at line 649 of file VLXValue.hpp.

References vl::VLXVisitor::visitList().

Referenced by vl::VLXVisitorCountIDs::visitStructure(), vl::VLXVisitorExportToVLT::visitValue(), and vl::VLXVisitorExportToVLB::writeValue().

std::vector< VLXValue >& vl::VLXList::value | ( | ) | `[inline]`

Definition at line 651 of file VLXValue.hpp.

Referenced by vl::VLXClassWrapper_Transform::exportTransform(), vl::VLXClassWrapper_Effect::importEffect(), operator<<(), vl::VLXParserVLT::parseList(), vl::VLXParserVLB::parseList(), vl::VLXVisitorLinkMapper::visitList(), vl::VLXVisitorLinker::visitList(), vl::VLXVisitorExportToVLT::visitList(), vl::VLXVisitorExportToVLB::visitList(), vl::VLXVisitorCountIDs::visitList(), vl::vlx_mat4(), and vl::vlx_toValue().

const std::vector< VLXValue >& vl::VLXList::value | ( | ) | const`[inline]`

Definition at line 653 of file VLXValue.hpp.

The documentation for this class was generated from the following file:

- D:/VL/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vlCore/VLXValue.hpp

Visualization Library v2011.09.1162 Reference Documentation
Copyright 2005-2011 Michele Bosi. All rights reserved.
Updated on Thu Jan 26 2012 00:44:19.
Permission is granted to use this page to write and publish articles regarding Visualization Library.